import { openScene } from "../../js/scene.js";
import { config } from "../../config.js";
import AppState from "../../js/state.js";
import { normalizeNodes } from "../../js/utils/nodeUtils.js";
import { initUI, pauseAudio } from "../../js/ui.js";

AppState.currentScene = 'salvador';
AppState.sceneHasAudio = true;
const marker = config.markers.find(m => m.id === 'salvador');
AppState.normalizedNodes = normalizeNodes(marker.nodes);

openScene(marker, AppState.normalizedNodes);
initUI();
pauseAudio('[data-bs-dismiss="modal"]');
